master = read.csv('../data/master.resp.csv')

tiff("fig4_wetdrywt.tiff", width=5, height=5, units = 'in', res = 300, compression = 'lzw')
  
  x = master$wet_weight.mg.
  y = master$dry_weight.mg.
  xlabel = 'wet weight (mg)'
  ylabel = 'dry weight (mg)'
  
  zones=matrix(c(2,0,1,3), ncol=2, byrow=TRUE)
  layout(zones, widths=c(4/5,1/5), heights=c(1/5,4/5))
  xhist = hist(x, plot=FALSE)
  yhist = hist(y, plot=FALSE)
  top = max(c(xhist$counts, yhist$counts))
  par(mar=c(4,4,1,1))
  plot(x,y, xlab = xlabel, ylab = ylabel,pch=20)
  par(mar=c(0,4,1,1))
  barplot(xhist$counts, axes=FALSE, ylim=c(0, top), space=0)
  par(mar=c(4,0,1,1))
  barplot(yhist$counts, axes=FALSE, xlim=c(0, top), space=0, horiz=TRUE)
  
  
 dev.off()
 